; ===========================
; MAME
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "d80b0a13-6b33-469e-bf68-4f5a1696c48d"
name = "mame"
fullname = "Mame"
theme.folder = "mame"
roms.folder = "%ROOT%/mame"
screenscraper.id = 75
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/arcade/mame"
doc.link.en = "https://wiki.recalbox.com/en/emulators/arcade/mame"
port = 0
readonly = 0
icon.unicode = $F255

[properties]
type = arcade
device.pad = mandatory
device.keyboard = no
device.mouse = no
device.lightgun = recommended
release.date = "1997-02"
manufacturer = "Mame"
retroachievements = 1
crt.multiresolution = 0
crt.multiregion = 0

[core.0]
package = BR2_PACKAGE_LIBRETRO_MAME2003_PLUS
priority = 1
emulator = "libretro"
core = "mame2003_plus"
extensions = ".zip .7z"
netplay = 0
softpatching = 0
netplay = 1
compatibility = high
speed = high
crt.available = 1
arcade.file = mame2003-plus.lst
arcade.limit = 20
arcade.split = sega,capcom
arcade.ignore = misc,pacman,galaxian

[core.1]
package = BR2_PACKAGE_LIBRETRO_MAME2003
priority = 2
emulator = "libretro"
core = "mame2003"
extensions = ".zip .7z"
netplay = 0
softpatching = 0
netplay = 1
compatibility = high
speed = high
crt.available = 1
arcade.file = mame2003.lst
arcade.limit = 20
arcade.split = sega,capcom
arcade.ignore = misc,pacman,galaxian

[core.2]
package = BR2_PACKAGE_LIBRETRO_MAME2000
priority = 3
emulator = "libretro"
core = "mame2000"
extensions = ".zip .7z"
netplay = 0
softpatching = 0
netplay = 1
compatibility = high
speed = high
arcade.file = mame2000.lst
arcade.limit = 20
arcade.split = sega,capcom
arcade.ignore = misc,pacman,galaxian

[core.3]
package = BR2_PACKAGE_LIBRETRO_MAME2010
priority = 4
emulator = "libretro"
core = "mame2010"
extensions = ".zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1
arcade.file = mame2010.lst
arcade.limit = 20
arcade.split = sega,capcom
arcade.ignore = misc,pacman,galaxian

[core.4]
package = BR2_PACKAGE_LIBRETRO_MAME2015
priority = 5
emulator = "libretro"
core = "mame2015"
extensions = ".zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1
arcade.file = mame2015.lst
arcade.limit = 20
arcade.split = sega,capcom
arcade.ignore = misc,pacman,galaxian

[core.5]
package = BR2_PACKAGE_LIBRETRO_MAME
priority = 6
emulator = "libretro"
core = "mame"
extensions = ".zip .7z"
softpatching = 0
netplay = 1
compatibility = high
speed = high
arcade.file = mame.lst
arcade.limit = 20
arcade.split = sega,capcom
arcade.ignore = misc,pacman,galaxian

[core.6]
package = BR2_PACKAGE_ADVANCEMAME
priority = 7
emulator = "advancemame"
core = "advancemame"
extensions = ".zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
arcade.file = advancemame.lst
arcade.limit = 20
arcade.split = sega,capcom
arcade.ignore = misc,pacman,galaxian